Get Workspace
Retrieve the active workspace's details
Updated
GET
/v1/workspacecurl -X GET "https://api.orshot.com/v1/workspace" \
-H "Authorization: Bearer <ORSHOT_API_KEY>"const res = await fetch("https://api.orshot.com/v1/workspace", {
method: "GET",
headers: {
Authorization: "Bearer <ORSHOT_API_KEY>",
},
});
const data = await res.json();import requests
response = requests.get(
"https://api.orshot.com/v1/workspace",
headers={"Authorization": "Bearer <ORSHOT_API_KEY>"},
)
data = response.json()$ch = curl_init("https://api.orshot.com/v1/workspace");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer <ORSHOT_API_KEY>",
]);
$data = json_decode(curl_exec($ch), true);
curl_close($ch);require "net/http"
require "json"
uri = URI("https://api.orshot.com/v1/workspace")
req = Net::HTTP::Get.new(uri)
req["Authorization"] = "Bearer <ORSHOT_API_KEY>"
res = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)Retrieve the workspace linked to your API key (or the active workspace of your OAuth token).
Endpoint#
https://api.orshot.com/v1/workspaceRequest#
await fetch("https://api.orshot.com/v1/workspace", {
method: "GET",
headers: {
Authorization: "Bearer <ORSHOT_API_KEY>",
},
});{
"data": {
"id": 890,
"title": "My Workspace",
"slug": "my-workspace",
"url": "https://orshot.com/workspace/my-workspace",
"created_at": "2026-03-27T00:04:45.557267+00:00"
}
}Response Fields#
| Field | Type | Description |
|---|---|---|
id | Number | The workspace's unique ID |
title | String | The workspace's display name |
slug | String | The workspace's URL slug |
url | String | The workspace's dashboard URL |
created_at | String | When the workspace was created |
Was this page helpful?
Ready to automate?
Start rendering images, PDFs and videos from your templates in under 2 minutes. Free plan, no credit card.
Get your API key- Image, PDF and video generation via API
- Visual editor with AI and smart layouts
- Zapier, Make, MCP and 50+ integrations
- White-label embed for your own app
- 30 free credits — no credit card required